package com.common.commonlib.log

/**
 * 日志敏感信息处理
 *
 * @author wangym
 * @since 2021/7/28
 */
object LogSecureHelper {

    /**
     * 一个间隔一个将数据替换成*
     */
    fun cast2Star(source: String): String {
        val sourceTemp = source.toCharArray()
        for (item in sourceTemp.withIndex()) {
            if (item.index / 2 == 0) {
                sourceTemp[item.index] = '*'
            }
        }
        return sourceTemp.toString()
    }
}